# Uses of Class
java.lang.NullPointerException

Packages that use NullPointerException
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.print
Provides classes and interfaces for a general printing API.
javax.management
Provides the core classes for the Java Management Extensions.
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

## Uses of NullPointerException in java.awt

Methods in java.awt that throw NullPointerException
Modifier and Type
Method
Description
`void`
SplashScreen.`setImageURL​(URL imageURL)`
Changes the splash screen image.

## Uses of NullPointerException in java.awt.print

Methods in java.awt.print that throw NullPointerException
Modifier and Type
Method
Description
`abstract void`
PrinterJob.`setPageable​(Pageable document)`
Queries `document` for the number of pages and the `PageFormat` and `Printable` for each page held in the `Pageable` instance, `document`.

## Uses of NullPointerException in javax.management

Methods in javax.management that throw NullPointerException
Modifier and Type
Method
Description
`static ObjectName`
ObjectName.`getInstance​(String name)`
Return an instance of ObjectName that can be used anywhere an object obtained with `new ObjectName(name)` can be used.

## Uses of NullPointerException in org.xml.sax.helpers

Methods in org.xml.sax.helpers that throw NullPointerException
Modifier and Type
Method
Description
`static Parser`
ParserFactory.`makeParser()`
Deprecated.
Create a new SAX parser using the `org.xml.sax.parser' system property.